UNIT Bomba;

INTERFACE

uses Graph, grObjekt;

const {miry bomby} {stred bomby je ve stredu konce hlavice}
                   PolomerXBomby = 2;
                   PolomerYBomby = 6;

type TUkTridaBomba = ^TridaBomba;

     TridaBomba = object(TridaBod)
                    constructor Init(Xi, Yi: integer; Barvai: word);
                    procedure Zobraz; virtual;
                    procedure Zhasni; virtual;
                    function CtiVzdShr: integer; virtual;
                    function CtiVzdSpd: integer; virtual;
                    function CtiVzdPrv: integer; virtual;
                    function CtiVzdLev: integer; virtual;
                  end;

IMPLEMENTATION

  constructor TridaBomba.Init(Xi, Yi: integer; Barvai: word);
  begin
    TridaBod.Init(Xi, Yi, Barvai);
    JmenoTridy:='Bomba';
  end;

  procedure TridaBomba.Zobraz;
  begin
    Viditelnost:=true;
    NastavBarvu(Barva);
    {hlavice}
    Ellipse(Xpos, Ypos, 180, 360, PolomerXBomby, PolomerYBomby);
    Line((Xpos-PolomerXBomby), Ypos, (Xpos+PolomerXBomby), Ypos);
  end;

  procedure TridaBomba.Zhasni;
  begin
    Viditelnost:=false;
    SetColor(GetBkColor);
    Ellipse(Xpos, Ypos, 180, 360, PolomerXBomby, PolomerYBomby);
    Line((Xpos-PolomerXBomby), Ypos, (Xpos+PolomerXBomby), Ypos);
  end;

  function TridaBomba.CtiVzdShr: integer;
  begin
    CtiVzdShr:=Ypos;
  end;

  function TridaBomba.CtiVzdSpd: integer;
  begin
    CtiVzdSpd:=Ypos+PolomerYBomby;
  end;

  function TridaBomba.CtiVzdPrv: integer;
  begin
    CtiVzdPrv:=Xpos+PolomerXBomby;
  end;

  function TridaBomba.CtiVzdLev: integer;
  begin
    CtiVzdLev:=Xpos-PolomerXBomby;
  end;

END.