UNIT Ptak;

INTERFACE

uses Graph, grObjekt;

const {miry ptaka} {stred ptaka je v mezi kridly}
                   PolomerXKridla = 8;
                   PolomerYKridla = 5;

type TUkTridaPtak = ^TridaPtak;

     TridaPtak = object(TridaBod)
                  constructor Init(Xi, Yi: integer; Barvai: word);
                  procedure Zobraz; virtual;
                  procedure Zhasni; virtual;
                  function CtiVzdShr: integer; virtual;
                  function CtiVzdSpd: integer; virtual;
                  function CtiVzdPrv: integer; virtual;
                  function CtiVzdLev: integer; virtual;
                end;

IMPLEMENTATION

  constructor TridaPtak.Init(Xi, Yi: integer; Barvai: word);
  begin
    TridaBod.Init(Xi, Yi, Barvai);
    JmenoTridy:='Ptak';
  end;

  procedure TridaPtak.Zobraz;
  begin
    Viditelnost:=true;
    NastavBarvu(Barva);
    Ellipse((Xpos-PolomerXKridla), Ypos, 0, 180, PolomerXKridla, PolomerYKridla);
    Ellipse((Xpos+PolomerXKridla), Ypos, 0, 180, PolomerXKridla, PolomerYKridla);
  end;

  procedure TridaPtak.Zhasni;
  begin
    Viditelnost:=false;
    SetColor(GetBkColor);
    Ellipse((Xpos-PolomerXKridla), Ypos, 0, 180, PolomerXKridla, PolomerYKridla);
    Ellipse((Xpos+PolomerXKridla), Ypos, 0, 180, PolomerXKridla, PolomerYKridla);
  end;

  function TridaPtak.CtiVzdShr: integer;
  begin
    CtiVzdShr:=Ypos-PolomerYKridla;
  end;

  function TridaPtak.CtiVzdSpd: integer;
  begin
    CtiVzdSpd:=Ypos;
  end;

  function TridaPtak.CtiVzdPrv: integer;
  begin
    CtiVzdPrv:=Xpos+(2*PolomerXKridla);
  end;

  function TridaPtak.CtiVzdLev: integer;
  begin
    CtiVzdLev:=Xpos-(2*PolomerXKridla);
  end;

END.