UNIT Raketa;

INTERFACE

uses Graph, grObjekt;

const {miry rakety} {stred bomby je ve stredu konce hlavice}
                    PolomerXRakety = 2;
                    PolomerYRakety = 6;

type TUkTridaRaketa = ^TridaRaketa;

     TridaRaketa = object(TridaBod)
                     constructor Init(Xi, Yi: integer; Barvai: word);
                     procedure Zobraz; virtual;
                     procedure Zhasni; virtual;
                     function CtiVzdShr: integer; virtual;
                     function CtiVzdSpd: integer; virtual;
                     function CtiVzdPrv: integer; virtual;
                     function CtiVzdLev: integer; virtual;
                   end;

IMPLEMENTATION

  constructor TridaRaketa.Init(Xi, Yi: integer; Barvai: word);
  begin
    TridaBod.Init(Xi, Yi, Barvai);
    JmenoTridy:='Raketa';
  end;

  procedure TridaRaketa.Zobraz;
  begin
    Viditelnost:=true;
    NastavBarvu(Barva);
    {hlavice}
    Ellipse(Xpos, Ypos, 0, 180, PolomerXRakety, PolomerYRakety);
    Line((Xpos-PolomerXRakety), Ypos, (Xpos+PolomerXRakety), Ypos);
  end;

  procedure TridaRaketa.Zhasni;
  begin
    Viditelnost:=false;
    SetColor(GetBkColor);
    Ellipse(Xpos, Ypos, 0, 180, PolomerXRakety, PolomerYRakety);
    Line((Xpos-PolomerXRakety), Ypos, (Xpos+PolomerXRakety), Ypos);
  end;

  function TridaRaketa.CtiVzdShr: integer;
  begin
    CtiVzdShr:=Ypos-PolomerYRakety;
  end;

  function TridaRaketa.CtiVzdSpd: integer;
  begin
    CtiVzdSpd:=Ypos;
  end;

  function TridaRaketa.CtiVzdPrv: integer;
  begin
    CtiVzdPrv:=Xpos+PolomerXRakety;
  end;

  function TridaRaketa.CtiVzdLev: integer;
  begin
    CtiVzdLev:=Xpos-PolomerXRakety;
  end;

END.