UNIT Vrtulnik;

INTERFACE

uses Graph, grObjekt;

const {miry vrtulniku} {stred vrtulniku je ve stredu kabiny}
                       PolomerXKabiny = 10; {souradnice se navzajem}
                       PolomerYKabiny =  5; {prekryvaji - tj. kde konci}
                       SpojniceOcasu  = 25; {napr. kabina, tak tam}
                       PolomerXOcasu  =  5; {zacina spojnice ocasu}
                       PolomerYOcasu  =  3;
                       CepVrtule      =  3;
                       PolomerVrtule  = 20;

type TUkTridaVrtulnik = ^Tridavrtulnik;

     TridaVrtulnik = object(TridaBod)
                       constructor Init(Xi, Yi: integer; Barvai: word);
                       procedure Zobraz; virtual;
                       procedure Zhasni; virtual;
                       function CtiVzdShr: integer; virtual;
                       function CtiVzdSpd: integer; virtual;
                       function CtiVzdPrv: integer; virtual;
                       function CtiVzdLev: integer; virtual;
                     end;

IMPLEMENTATION

  constructor TridaVrtulnik.Init(Xi, Yi: integer; Barvai: word);
  begin
    TridaBod.Init(Xi, Yi, Barvai);
    JmenoTridy:='Vrtulnik';
  end;

  procedure TridaVrtulnik.Zobraz;
  begin
    Viditelnost:=true;
    NastavBarvu(Barva);
    {kabina}
    Ellipse(Xpos, Ypos, 0, 360, PolomerXKabiny, PolomerYKabiny);
    {spojnice ocasu}
    Line((Xpos+PolomerXKabiny), Ypos, (Xpos+SpojniceOcasu), Ypos);
    {ocas}
    Ellipse((Xpos+SpojniceOcasu+PolomerXOcasu), Ypos, 0, 360, PolomerXOcasu, PolomerYOcasu);
    {cep na vrtuli}
    Line(Xpos, (Ypos-PolomerYKabiny), Xpos, (Ypos-PolomerYKabiny-CepVrtule));
    {vrtule}
    Line((Xpos-PolomerVrtule), (Ypos-PolomerYKabiny-CepVrtule), (Xpos+PolomerVrtule), (Ypos-PolomerYKabiny-CepVrtule));
  end;

  procedure TridaVrtulnik.Zhasni;
  begin
    Viditelnost:=false;
    SetColor(GetBkColor);
    Ellipse(Xpos, Ypos, 0, 360, PolomerXKabiny, PolomerYKabiny);
    Line((Xpos+PolomerXKabiny), Ypos, (Xpos+SpojniceOcasu), Ypos);
    Ellipse((Xpos+SpojniceOcasu+PolomerXOcasu), Ypos, 0, 360, PolomerXOcasu, PolomerYOcasu);
    Line(Xpos, (Ypos-PolomerYKabiny), Xpos, (Ypos-PolomerYKabiny-CepVrtule));
    Line((Xpos-PolomerVrtule), (Ypos-PolomerYKabiny-CepVrtule), (Xpos+PolomerVrtule), (Ypos-PolomerYKabiny-CepVrtule));
  end;

  function TridaVrtulnik.CtiVzdShr: integer;
  begin
    CtiVzdShr:=Ypos-PolomerYKabiny;
  end;

  function TridaVrtulnik.CtiVzdSpd: integer;
  begin
    CtiVzdSpd:=Ypos+PolomerYKabiny;
  end;

  function TridaVrtulnik.CtiVzdPrv: integer;
  begin
    CtiVzdPrv:=Xpos+PolomerXKabiny;
  end;

  function TridaVrtulnik.CtiVzdLev: integer;
  begin
    CtiVzdLev:=Xpos-PolomerXKabiny;
  end;

END.