program DABELOBLOHY;

 {Strilecka - ovladas vrtulnik mysi a nicis vse, co se hybe.

  Co lze jeste vylepsit:
  1. ANIMACE: seznam ukazatelu na procedury -> zobrazovat tu dalsi
  2. SETUP: uzivatelsky bude prijemnejsi, pokud bude existovat program
     - setup - a ten umozni editovat vnejsi soubor, ve kterem budou uchovany
     ty hodnoty, ktere mam nyni vedene jako globalni konstanty. Pri
     inicializaci tyto hodnoty vzdy ze souboru nactu.
  3. UDALOSTI:
     a) Je v poradku, ze ovladani udalosti je definovana jako trida?
     b) Ovladani klavesnici chybi.
     c) Ovladani mysi upravit.
                 ca) V tele programu bude jen podminka "jestlize se zmeni
                     stav mysi (tlacitko, lokace), tak neco proved" a rizeni
                     se preda zpracovani udalosti (TridaUdalosti).
                 cb) Rad bych napsal ovladac rizeni mysi jako tridu objektu.
  4. Zapis nejlepsich do zebricku.
  5. Tri tridy seznamu - obecny, pro objekty hry, pro hrace.

  Problemy:
  1. V metode TRIDASEZNAM.VYHODNOTSRAZKY zjistit, proc nefungujou metody pro
     cteni ukazatelu.
  2. Pri zmene souradnic vrtulniku pohybem z klavesnice) budu muset
     zmenit i souradnice mysi (to je nyni OK, problem je v tom, ze pohyb z
     klavesnice je vlastne svindl - s vrtulnikem stejne pohybuji jako s mysi -
     menim jen hodnoty promennych MysX a MysY, tj. jako by se posunula mys,
     takze se o to postara obsluha udalosti mysi).
  3. Vyhodnoceni srazek - misto metoda tridy - globalni externi procedura?
  4. Funkce na vypocet Zdrzeni a promena RYCHLOST.}

uses
  Crt, Graph, Mys, Lod, Vrtulnik, Bomba, Strela, Ptak, Raketa, grObjekt, Dos;

{======================NASTAVENI PROSTREDI PROGRAMU==========================}

{$I graph2.txt} {procedury a fce pro praci s grafikou}

var
  Vzor: FillPatternType; {uchovava pocatecni nastaveni vyplne}
  GraphDriver, GraphMode: integer;

{============================NASTAVENI HRY===================================}

const
  {vseobecne}
  BarvaVypisu = White;

  {konstanty hry}
  MaxPocetZivotu = 3;

var
  MaxVyska, MinVyska: integer; {Melo by byt: MAXVYSKA < MINVYSKA. MAXVYSKA:
                                udava maximalni y-ovou souradnici "bojove
                                obrazovky"; MINVYSKA: nejnizsi y-ova
                                souradnice bojove obrazovky jsou z nich
                                odvozeny ostatni promenne urcujici do jakych
                                vysek (= souradnic) mohou dalsi objekty}
  KdeLitaVrtulnikHorniMez: integer; {maximalni vyska pro vrtulnik}
  KdeLitaVrtulnikDolniMez: integer; {minimalni vyska pro vrtulnik}
  KdeJezdiLode: integer; {max y-ova souradnice, kde se muze vygenerovat lod -
                          konkrertni pozice lodi zalezi jeste na promenne
                          POMKDEJEZDILODE a na VYSCEPALUBY}
  PomKdeJezdiLode: integer; {Urcuje o kolik se mohou vzajemne polohy lodi
                             maximalne lisit (na ose y)}
  KdeLitajiPtaci: integer; {obdoba KDEJEZDILODE pro ptaky}
  PomKdeLitajiPtaci: integer;

{=========================NASTAVENI OBJEKTU VE HRE===========================}

const
  {posun objektu}
  PosunBombPoX  =  -5;
  PosunBombPoY  =   5;
  PosunStrel    = -10; {strela se posouva pouze po x}
  PosunPtaka    =   9; {ptak se posouva jen po x}
  PosunLodi     =   6; {lod se posouva pouze po x}
  PosunRaketPoX =   7;
  PosunRaketPoY =  -6;
   {nova souradnice se vzdy vypocita jako (soucasna+posun)
    levy horni roh obrazovky ma souradnice [0, 0]}

  {barvy objektu}
  BarvaVrtulniku = Yellow;
  BarvaBomby     = Green;
  BarvaStrely    = LightRed;
  BarvaLodi      = Cyan;
  BarvaRakety    = Cyan;
  BarvaPtaka     = LightMagenta;

  {maximalni pocet objektu na obrazovce}
  MaxPocetLodi  =  5;
  MaxPocetPtaku = 10;
  MaxPocetRaket = 20;
  MaxPocetBomb  = 10;
  MaxPocetStrel = 10;

  {pravdepodobnost vypusteni objektu (v procentech)}
  PdbVypusteniLodi   =  5;
  PdbVypusteniPtaka  =  6;
  PdbVypusteniRakety = 20;

var
  {ukazatele na objekty}
  Comanche: TUkTridaVrtulnik;
  Berta: TUkTridaBomba;
  Avalanche: TUkTridaStrela;
  Bismarck: TUkTridaLod;
  V2: TUkTridaRaketa;
  Noh: TUkTridaPtak;

{=====================PROMENNE & KONSTANTY BEHU PROGRAMU=====================}

var
  MysXPuv, MysYPuv: integer; {puvodni souradnice mysi}

  Rychlost: integer; {rychlost behu programu - zavisi na poctu zobrazenych
                      objektu (cim vetsi pocet objektu, tim vetsi rychlost
                      behu programu, tomu ovsem odpovida mensi cislo
                      ulozene v promenne RYCHLOST), uzivatel ji muze
                      ovlivnit, viz klavesy pro zrychleni a zpomaleni}

{================================STATISTIKA==================================}

(*
type
  TUkTridaHrac = ^TridaHrac;

  TridaHrac = object
    Jmeno: string;
    PocetNepratel: integer;
    PocetZasahu: integer; {zasahnout lze lod a ptaka}
    Uspesnost: integer; {kolik z celkoveho poctu nepratel bylo pobito}
    constructor Init(Jmenoi: string; PocetNeprateli, PocetZasahui, Uspesnosti: integer);
    procedure ZapisDoSouboru;
  end;

  {implementace metod TRIDAHRAC}
  constructor TridaHrac.Init;
  begin
  end;

  procedure TridaHrac.ZapisDoSouboru;
  begin
  end;
*)

var
  {promenne statistik sledovanych v prubehu hry}
  PocetZasahu: integer; {zasahnout lze lod a ptaka}
  PocetNepratel: integer; {nepritel je lod a ptak}
  PocetVystrelu: integer; {kolik bomb a strel hrac vypustil}
  UspesnostNiceni: integer; {kolik z celkoveho poctu nepratel bylo pobito}
  UspesnostStrelby: integer; {kolik z vypustenych strel abomb nalezlo cil}

  {pomocne promenne statistik - pro zjisteni, zda doslo ke zmene}
  PuvPocetZivotu: integer;
  PuvPocetZasahu: integer;

  procedure VypisStatInfo; forward;
   {vypisuje aktualni statistiku pro prave hrajiciho hrace}

{==========================DEKLARACE SEZNAMU=================================}

type
  TUkObjekt = TUkTridaBod;

  TUkPrvek = ^ TypPrvek;

  TypPrvek = record
    Dalsi: TUkPrvek;
    UkObjekt: TUkObjekt;
  end;

  TridaSeznam = object
    Zacatek: TUkPrvek;
    Volny: TUkPrvek;
    Znacka: TUkPrvek;
    constructor Init;
    destructor Done; virtual;
    function JePrazdny: boolean;
    function CtiPocetPrvku: integer;
    procedure VlozNaKonec(UkO: TUkObjekt);
    procedure Zrus;
    procedure Zobraz;
    procedure Zhasni;
    procedure Posun(OKolikPoX, OKolikPoY: integer);
    procedure VyhodnotSrazky(var s: TridaSeznam);
    function CtiZnacku: TUkPrvek;
    procedure NastavZnacku(n: integer);
    function CtiZacatek: TUkPrvek;
    function CtiVolny: TUkPrvek;
  end;

  {implementace metod: TRIDASEZNAM}
  constructor TridaSeznam.Init;
  begin
    new(Zacatek);
    Volny:=Zacatek;
    Volny^.Dalsi:=nil;
    Volny^.UkObjekt:=nil;
    Znacka:=nil;
  end;

  destructor TridaSeznam.Done;
  begin
    while (Zacatek <> Volny) do
    begin
      Znacka:=Zacatek;
      Zacatek:=Zacatek^.Dalsi;
      Dispose(Znacka^.UkObjekt, Done);
      Dispose(Znacka);
    end;
    Volny:=nil;
    Dispose(Zacatek);
    Zacatek:=nil;
    Znacka:=nil;
  end;

  function TridaSeznam.JePrazdny: boolean;
  begin
    JePrazdny:=(Zacatek = Volny);
  end;

  function Tridaseznam.CtiPocetPrvku: integer;
  var
    i: integer;
  begin
    Znacka:=Zacatek;
    i:=0;
    while (Znacka <> Volny) do
    begin
      Znacka:=Znacka^.Dalsi;
      inc(i);
    end;
    CtiPocetPrvku:=i;
  end;

  procedure TridaSeznam.VlozNaKonec(UkO: TUkObjekt);
   {vlozi na konec seznamu ukazatel na objekt}
  begin
    Volny^.UkObjekt:=UkO;
    New(Volny^.Dalsi);
    Volny:=Volny^.Dalsi;
    Volny^.UkObjekt:=nil;
    Volny^.Dalsi:=nil;
  end;

  procedure TridaSeznam.Zrus;
   {zrusi prvek ze seznamu, na ktery ukazuje promenna ZNACKA, dale tuto
    promennou nastavi na predchazejici prvek}
  var
    pomUkPrvek: TUkPrvek; {pomocny ukazatel}
  begin
    if not(JePrazdny) then
    begin
      Znacka^.UkObjekt^.Zhasni;
      if (Znacka = Zacatek) then
      begin
        Zacatek:=Zacatek^.Dalsi;
        pomUkPrvek:=Zacatek;
        Dispose(Znacka^.UkObjekt, Done);
        Dispose(Znacka);
      end
      else {neodebiram ZACATEK}
      begin
        pomUkPrvek:=Zacatek;
        while (pomUkPrvek^.Dalsi <> Znacka) do pomUkPrvek:=pomUkPrvek^.Dalsi;
        pomUkPrvek^.Dalsi:=Znacka^.Dalsi;
        Dispose(Znacka^.UkObjekt, Done);
        Dispose(Znacka);
      end;
      Znacka:=pomUkPrvek;
    end;
  end;

  procedure TridaSeznam.Zobraz;
  begin
    if not(JePrazdny) then
    begin
      Znacka:=Zacatek;
      while (Znacka <> Volny) do
      begin
        Znacka^.UkObjekt^.Zobraz;
        Znacka:=Znacka^.Dalsi;
      end;
    end;
  end;

  procedure TridaSeznam.Zhasni;
  begin
    if not(JePrazdny) then
    begin
      Znacka:=Zacatek;
      while (Znacka <> Volny) do
      begin
        Znacka^.UkObjekt^.Zhasni;
        Znacka:=Znacka^.Dalsi;
      end;
    end;
  end;

  procedure TridaSeznam.Posun(OKolikPoX, OKolikPoY: integer);
   {posune objekty v seznamu podle hodnot OKOLIKPOX a OKOLIKPOY}
  var
    Xn, Yn: integer;
    PresahujeX, PresahujeY: boolean; {vyhodnocuji rozsah Xn a Yn tj. zda
                                      objekt je mimo obrazovku}
    JeNutnoJejzrusit: boolean; {urcuje, zda objekt musi byt zrusen}
  begin
    if not(JePrazdny) then
    begin
      Znacka:=Zacatek;
      while (Znacka <> Volny) do
      begin
        Xn:=Znacka^.UkObjekt^.CtiXpos+OKolikPoX;
        Yn:=Znacka^.UkObjekt^.CtiYpos+OKolikPoY;
        PresahujeX:=(Xn < 0) or (Xn > GetMaxX);
        PresahujeY:=(Yn < MaxVyska) or (Yn > MinVyska); {omezeni pro vysku}
        JeNutnoJejZrusit:=(PresahujeX) or (PresahujeY);
        if (JeNutnoJejZrusit) then Zrus
        else Znacka^.UkObjekt^.PosunNaSouradnice(Xn, Yn);
        if not(JePrazdny) then Znacka:=Znacka^.Dalsi;
      end;
    end;
  end;

  procedure Tridaseznam.VyhodnotSrazky(var s: TridaSeznam);
   {vyhodnocuje srazky vsech objektu v seznamu se vsemi jinymi objekty
    v seznamu S}
  var
    JeObjektStrelou: boolean;
    JeObjektBombou: boolean;
  begin
    if not(JePrazdny) and not(s.JePrazdny) then
    begin
      s.Znacka:=s.Zacatek;
      while (s.Znacka <> s.Volny) do
      begin
        Znacka:=Zacatek;
        while (Znacka <> Volny) and (s.Znacka <> s.Volny) do
        begin
          if (Znacka^.UkObjekt^.CtiViditelnost) and (s.Znacka^.UkObjekt^.CtiViditelnost) then
            if (Znacka^.UkObjekt^.CtiVzdShr <= s.Znacka^.UkObjekt^.CtiVzdSpd) then
              if (Znacka^.UkObjekt^.CtiVzdSpd >= s.Znacka^.UkObjekt^.CtiVzdShr) then
                if (Znacka^.UkObjekt^.CtiVzdPrv >= s.Znacka^.UkObjekt^.CtiVzdLev) then
                  if (Znacka^.UkObjekt^.CtiVzdLev <= s.Znacka^.UkObjekt^.CtiVzdPrv) then
                  begin
                    JeObjektStrelou:=(Znacka^.UkObjekt^.CtiJmenotridy = 'Strela')
                                     or
                                     (s.Znacka^.UkObjekt^.CtiJmenotridy = 'Strela');
                    JeObjektBombou:=(Znacka^.UkObjekt^.CtiJmenotridy = 'Bomba')
                                    or
                                    (s.Znacka^.UkObjekt^.CtiJmenotridy = 'Bomba');
                    Zrus;
                    s.Zrus;
                    if (JeObjektBombou) or (JeObjektStrelou) then inc(PocetZasahu);
                  end;
          if not(JePrazdny) then Znacka:=Znacka^.Dalsi;
        end;
        if not(s.JePrazdny) then s.Znacka:=s.Znacka^.Dalsi;
      end;
    end;
  end;

  function Tridaseznam.CtiZnacku: TUkPrvek;
  begin
    CtiZnacku:=Znacka;
  end;

  procedure Tridaseznam.NastavZnacku(n: integer);
   {nastavy znacku na N-ty prvek}
  var
    pomI: integer;
  begin
    if (n<=CtiPocetPrvku) then
    begin
      Znacka:=Zacatek;
      for pomI:=1 to (n-1) do Znacka:=Znacka^.Dalsi;
    end;
  end;

  function Tridaseznam.CtiZacatek: TUkPrvek;
  begin
    CtiZacatek:=Zacatek;
  end;

  function TridaSeznam.CtiVolny: TUkPrvek;
  begin
    CtiVolny:=Volny;
  end;

var
  SeznamVrtulniku: Tridaseznam;
  SeznamBomb: TridaSeznam;
  SeznamStrel: TridaSeznam;
  SeznamLodi: TridaSeznam;
  SeznamRaket: TridaSeznam;
  SeznamPtaku: TridaSeznam;

{===============================OBSLUHA UDALOSTI=============================}

 {Za udalost povazuji veskere vnejsi podnety:
     1. Posuv mysi - osetreno primo v tele programu - volane procedury viz
        unit Mys.
     2. Stisk tlacitka mysi.
     3. Stisk klavesy.
     ad 2. a 3. viz tato cast deklaraci}

const
  {ovladani klavesnici}
  Konec   = #27;  {Esc}
  Ok      = '''';
  Help    = #187; {F1}
  Nahoru  = #200;
  Dolu    = #208;
  Vpravo  = #205;
  Vlevo   = #203;
  Zrychli = 'A';
  Zpomal  = 'Z';

type
  TridaUdalost = object
    Klavesa: char;
    constructor Init(Klavesai: char);
    procedure ZpracujTlacitkaMysi;
    procedure ZpracujKlavesu;
    function CtiKlavesu: char;
  end;

  {implementace metod: TRIDAUDALOST}
  constructor TridaUdalost.Init(Klavesai: char);
  begin
    Klavesa:=Klavesai;
  end;

  procedure TridaUdalost.ZpracujTlacitkaMysi;
  begin
    {vypusteni bomby}
    if (Left) and (SeznamBomb.CtiPocetPrvku < MaxPocetBomb) then
    begin
      Berta:=new(TUkTridaBomba, Init(
                                (SeznamVrtulniku.CtiZacatek^.UkObjekt^.CtiXpos),
                                (SeznamVrtulniku.CtiZacatek^.UkObjekt^.CtiYpos+PolomerYKabiny+1),
                                BarvaBomby));
      SeznamBomb.VlozNaKonec(Berta);
      Inc(PocetVystrelu);
    end;
    {vypusteni strely}
    if (Right) and (SeznamStrel.CtiPocetPrvku < MaxPocetStrel) then
    begin
      Avalanche:=new(TUkTridaStrela, Init(
                                     (SeznamVrtulniku.CtiZacatek^.UkObjekt^.CtiXpos-PolomerXKabiny-OcasStrely-1),
                                     (SeznamVrtulniku.CtiZacatek^.UkObjekt^.CtiYpos),
                                     BarvaStrely));
      SeznamStrel.VlozNaKonec(Avalanche);
      Inc(PocetVystrelu);
    end;
    Buttons:=0; {timto prirazenim je zpusobeno, ze nelze stat na miste a
                 ciste drzenim tlacitka mysi (bez jeho uvolneni) vypoustet
                 bomby (resp. strely); pokud ovsem tlacitko drzime a soucasne
                 pohybujeme mysi, bomby vypoustet lze; je to proste proto, ze
                 timto prirazenim reknu programu, ze zadne tlacitka vlastne
                 nedrzim; naproti tomu, kdyz se pohybuju, tak se automaticky
                 cte register a do promenne BUTTONS se automaticky prirazuje
                 hodnota podle stisknuteho tlacitka - viz unit mys.pas (takze
                 se stale vola tato metoda)}
  end;

  procedure TridaUdalost.ZpracujKlavesu;
  const
    PixelovyPosun = 10; {o kolik pixelu se vrtulnik posune}
  begin
    Klavesa:=ReadKey;
    if (Klavesa=#0) then
    begin
      Klavesa:=ReadKey;
      Klavesa:=Chr(Ord(Klavesa)+128);
    end
    else Klavesa:=UpCase(Klavesa); {uvazuji vzdy s velkym pismenem}
    case Klavesa of
      Nahoru  : begin
                  MysY := MysY - PixelovyPosun;
                  SetGM(MysX, MysY);
                  Klavesa := Ok; {Klavese musi byt v kazde vetvi zvlast
                                  prirazena hodnota OK. Nelze to zaridit
                                  centralne, tj. po pusteni konstrukce case.
                                  To proto, ze po te co skonci obsluha
                                  udalosti musi bud:
                                  1. Byt nastavena na tu hodnotu, kterou
                                     mela pred vstupem do metody (napr.
                                     kvuli KONCI).
                                  nebo:
                                  2. Nastavena na OK, Protoze udalost jiz
                                     byla obslouzena - a neni mozne, aby
                                     byla obslouzena znovu.}
                end;
      Dolu    : begin
                  MysY := MysY + PixelovyPosun;
                  SetGM(MysX, MysY);
                  Klavesa := Ok;
                end;
      Vpravo  : begin
                  {Testovani, zda posun klavesou posune COMANCHE mimo
                   obrazovku. Analogicky se to provadi pro levou stranu.
                   Nemusi se to provadet pro NAHORU a DOLU - toto (vertikalni)
                   omezeni se testuje primo v tele programu - viz take
                   KDELITAVRTULNIKHORNIMEZ a KDELITAVRTULNIKDOLNIMEZ.
                   Proc se vsak toto testovani provadi pouze u stisku klaves
                   a ne u posunu mysi? Je to dano samotnym omezenim mysi.}
                  if (MysX < (GetMaxX - PixelovyPosun)) then MysX := MysX + PixelovyPosun
                  else MysX := GetMaxX;
                  SetGM(MysX, MysY);
                  Klavesa := Ok;
                end;
      Vlevo   : begin
                  if (MysX > (0 + PixelovyPosun)) then MysX := MysX - PixelovyPosun
                  else MysX := 0;
                  SetGM(MysX, MysY);
                  Klavesa := Ok;
                end;
      Help    : begin
                  Klavesa := Ok;
                end;
      Zrychli : begin
                  if (Rychlost > 1) then Rychlost := Rychlost-2;
                  Klavesa := Ok;
                end;
      Zpomal  : begin
                  Rychlost := Rychlost+2;
                  Klavesa := Ok;
                end;
    end;
    while (KeyPressed) do Klavesa := ReadKey; {vycisteni bufferu}
  end;

  function TridaUdalost.CtiKlavesu: char;
  begin
    CtiKlavesu:=Klavesa;
  end;

var
  Ted: TridaUdalost;

{================================STATISTIKA==================================}

  procedure VypisStatInfo;
   {vypisuje aktualni statistiku pro prave hrajiciho hrace}
  const
    PomY = 0;
  var
    DosloKeZmene:boolean;
    PomX: integer;
  begin
    {ke zmene dojde pokud se zmeni pocet: (1) zivotu, (2) zasahu}
    DosloKeZmene:=(SeznamVrtulniku.CtiPocetPrvku <> PuvPocetZivotu)
                  or (PuvPocetZasahu <> PocetZasahu);
    if (DosloKeZmene) then
    begin
      {vypis do prvni ctvrtiny}
      PomX:=GetMaxX div 4;
      SetColor(GetBkColor);
      OutTextXY(PomX, PomY, IntToStr(PuvPocetZivotu));
      SetColor(BarvaVypisu);
      PuvPocetZivotu:=SeznamVrtulniku.CtiPocetPrvku;
      OutTextXY(PomX, PomY, IntToStr(PuvPocetZivotu));
      {vypis do poloviny}
      PomX:=GetMaxX div 2;
      SetColor(GetBkColor);
      OutTextXY(PomX, PomY, IntToStr(PuvPocetZasahu));
      PuvPocetZasahu:=PocetZasahu;
      SetColor(BarvaVypisu);
      OutTextXY(PomX, PomY, IntToStr(PuvPocetZasahu));
      {vypis do tri ctvrtin}
      PomX:=3 * (GetMaxX div 4);
    end;
  end;

{==============================TELO PROGRAMU=================================}

begin

  {INICIALIZACE}

  {inicializace grafiky}
  {$I-}
  if (RegisterBGIDriver(@EGAVGADriver)<0) then
    Writeln('Error registering external graphics driver.',GraphErrorMsg(GraphResult))
  else
    Writeln('External graphics driver registered.');
  {$I+}
  DetectGraph(GraphDriver, GraphMode);
  InitGraph(GraphDriver, GraphMode, '');
  ClearDevice;

  {inicializace mysi}
  SetHandle; {pripojeni mysi}
  MysX:=GetMaxX div 2; MysY:=GetMaxY div 2; {zacina se uprostred}
  SetGM(MysX, MysY);
  MysXPuv:=0;
  MysYPuv:=0;

  {natsaveni prostredi programu}
  GetFillPattern(Vzor);

  {nastaveni hry}
  MaxVyska:=50;
  MinVyska:=GetMaxY-50;
  KdeJezdiLode:=(((MinVyska - MaxVyska) div 5) * 4) + MaxVyska;
  PomKdeJezdiLode:=MinVyska - KdeJezdiLode - VyskaPaluby;
  KdeLitajiPtaci:=MaxVyska + PolomerYKridla + 1;
  PomKdeLitajiPtaci:=KdeJezdiLode - KdeLitajiPtaci;
  KdeLitaVrtulnikHorniMez:=MaxVyska + PolomerYKabiny + CepVrtule+1;
  KdeLitaVrtulnikDolniMez:=KdeJezdiLode-PolomerYKabiny-1;

  {inicializace ukazatelu na objekty}
  Comanche:=nil;
  Berta:=nil;
  Avalanche:=nil;
  Bismarck:=nil;
  V2:=nil;
  Noh:=nil;

  {promenne nastaveni a behu programu}
  Rychlost:=((MaxPocetLodi
            + MaxPocetPtaku
            + MaxPocetStrel
            + MaxPocetRaket
            + MaxPocetBomb));

  {statistika}
  PocetZasahu:=0;
  PuvPocetZasahu:=-1; {Prirazeni -1, ma svuj vyznam: Procedura VYPISTATINFO
                       vypisuje statistiky, jen kdyz se lisi aktualni od
                       puvodnich -> uz pri prvnim volani tato podminka plati.}
  PocetNepratel:=0;
  PocetVystrelu:=0;
  UspesnostNiceni:=0;
  UspesnostStrelby:=0;

  {inicializace seznamu}
  SeznamVrtulniku.Init;
  SeznamBomb.Init;
  SeznamStrel.Init;
  SeznamLodi.Init;
  SeznamRaket.Init;
  SeznamPtaku.Init;

  {inicializace tridy udalosti}
  Ted.Init(Ok);

  {naplneni seznamu vrtulniku podle zivotu a inicializace PUVPOCETZIVOTU}
  for PuvPocetZivotu:=1 to MaxPocetZivotu do
  begin
    Comanche:=new(TUkTridaVrtulnik, Init(
                                    0,
                                    0,
                                    BarvaVrtulniku));
    SeznamVrtulniku.VlozNaKonec(Comanche);
  end;

  {vykresleni zakladni obrazovky - nemenne}
  SetColor(BarvaVypisu);
  OutTextXY(0, GetMaxY-10, '[a], [A] Zrychli    [z], [Z] Zpomal   [Esc] Konec');

  {VLASTNI TELO PROGRAMU}

  while (Ted.CtiKlavesu <> Konec) and not(SeznamVrtulniku.JePrazdny) do
  begin

    {vykresleni zakladni obrazovky - menici se}
    SetColor(BarvaVypisu);
    Line(0, MaxVyska, GetMaxX, MaxVyska);
    Line(0, MinVyska, GetMaxX, MinVyska);

    {vypis aktualnich statistik}
    VypisStatInfo;

    {vyhodnocovani udalosti - posun mysi}
    if (MysY < KdeLitaVrtulnikHorniMez) then 
    begin {vrtulnik leti vyse nez je dovoleno}
      MysY:=KdeLitaVrtulnikHorniMez;
      SetGM(MysX, MysY);
    end;
    if (MysY > KdeLitaVrtulnikDolniMez) then
    begin {vrtulnik leti nize nez je dovoleno}
      MysY:=KdeLitaVrtulnikDolniMez;
      SetGM(MysX, MysY);
    end;
    if (MysXPuv <> MysX) or (MysYPuv <> MysY) then {pri prvnim pruchodu se
                                                    vzdy lisi (prommenne maji
                                                    jine hodnoty) => vrtulnik
                                                    se ihned zobrazi}
    begin
      SeznamVrtulniku.NastavZnacku(1);
      SeznamVrtulniku.CtiZnacku^.UkObjekt^.PosunNaSouradnice(MysX, MysY);
    end;
    MysXPuv:=MysX;
    MysYPuv:=MysY;

    {vyhodnocovani udaosti - stisk tlacitek mysi}
    if (Buttons <> 0) then Ted.ZpracujTlacitkaMysi;

    {vyhodnocovani udalosti - stisk klavesy}
    if (KeyPressed) then Ted.ZpracujKlavesu;

    {rozhodnuti o vypusteni lode}
    if (SeznamLodi.CtiPocetprvku < MaxPocetLodi) then
      if (Random(100) <= PdbVypusteniLodi) then
      begin
        Bismarck:=new(TUkTridaLod, Init(
                                   0,
                                   KdeJezdiLode + Random(PomKdeJezdiLode),
                                   BarvaLodi));
        SeznamLodi.VlozNaKonec(Bismarck);
        Inc(PocetNepratel);
      end;

    {rozhodnuti o vypusteni ptaka}
    if (SeznamPtaku.CtiPocetprvku < MaxPocetPtaku) then
      if (Random(100) <= PdbVypusteniPtaka) then
      begin
        Noh:=new(TUkTridaPtak, Init(
                               0,
                               KdeLitajiPtaci + Random(PomKdeLitajiPtaci),
                               BarvaPtaka));
        SeznamPtaku.VlozNaKonec(Noh);
        Inc(PocetNepratel);
      end;

    {rozhodnuti o vypusteni rakety z lodi}
    if (SeznamRaket.CtiPocetprvku < MaxPocetRaket) then
      if (Random(100) <= PdbVypusteniRakety) and not(SeznamLodi.JePrazdny) then
      begin
        SeznamLodi.NastavZnacku(Random(SeznamLodi.CtiPocetprvku)+1);
        V2:=new(TUkTridaRaketa, Init(
                                (SeznamLodi.CtiZnacku^.UkObjekt^.CtiXpos),
                                (SeznamLodi.CtiZnacku^.UkObjekt^.CtiYpos),
                                BarvaRakety));
        SeznamRaket.VlozNaKonec(V2);
      end;

    {volani metod pro posun bomb, strel a raket}
    Delay(Rychlost);
    SeznamBomb.Posun(PosunBombPoX, PosunBombPoY);
    Delay(Rychlost);
    SeznamStrel.Posun(PosunStrel, 0);
    Delay(Rychlost);
    SeznamRaket.Posun(PosunRaketPoX, PosunRaketPoY);

    {vyhodnoceni srazek strel}
    SeznamStrel.VyhodnotSrazky(SeznamPtaku);

    {vyhodnoceni srazek bomb}
    SeznamBomb.VyhodnotSrazky(SeznamLodi);

    {vyhodnoceni srazek raket}
    SeznamRaket.VyhodnotSrazky(SeznamVrtulniku);

    {vyhodnoceni srazek s vrtulnikem}
    SeznamVrtulniku.VyhodnotSrazky(SeznamLodi);
    SeznamVrtulniku.VyhodnotSrazky(SeznamPtaku);

    {posun ostatnich objektu}
    Delay(Rychlost);
    SeznamLodi.Posun(PosunLodi, 0);
    Delay(Rychlost);
    SeznamPtaku.Posun(PosunPtaka, 0);

    {uprava rychlosti podle aktualniho poctu objektu}

  end;

  {ZAVERECNE AKCE}

  {vypis statistik}
  SetViewPort((GetMaxX div 4), (GetmaxY div 4), (3 * GetMaxX div 4), (3 * GetMaxY div 4), ClipOn);
  ClearViewPort;
  SetFillPattern(Vzor, Blue);
  FloodFill(0, 0, GetMaxColor);
  SetColor(Yellow);
  MoveTo(10, 10);
  OutText('KONEC -> stiskni klavesu.');
  {uspesnost v niceni}
  MoveTo(10, 40);
  OutText('Z celkoveho poctu ');
  OutText(IntToStr(PocetNepratel));
  OutText(' nepratel');
  MoveTo(10, 60);
  OutText('jsi zasahl ');
  OutText(IntToStr(PocetZasahu));
  OutText('.');
  MoveTo(10, 80);
  OutText('Tomu odpovida uspesnost: ');
  if (PocetZasahu <> 0) then UspesnostNiceni:=Round(PocetZasahu/PocetNepratel*100);
  OutText(IntToStr(UspesnostNiceni));
  OutText(' %.');
  {uspesnost ve strelbe}
  MoveTo(10, 110);
  OutText('Z celkoveho poctu ');
  OutText(IntToStr(PocetVystrelu));
  OutText(' vystrelu');
  MoveTo(10, 130);
  OutText('jsi se trefil ');
  OutText(IntToStr(PocetZasahu));
  OutText(' krat.');
  MoveTo(10, 150);
  OutText('Tomu odpovida uspesnost: ');
  if (PocetZasahu <> 0) then UspesnostStrelby:=Round(PocetZasahu/PocetVystrelu*100);
  OutText(IntToStr(UspesnostStrelby));
  OutText(' %.');
  MoveTo(10, 180);
  OutText('Z maximalniho poctu zivotu ');
  OutText(IntToStr(MaxPocetZivotu));
  MoveTo(10, 200);
  OutText('ti zbylo ');
  OutText(IntToStr(SeznamVrtulniku.CtiPocetPrvku));
  OutText('.');
  repeat until KeyPressed;

  {UKONCENI PROGRAMU}

  {zhasnuti vsech seznamu}
  SeznamVrtulniku.Zhasni;
  SeznamBomb.Zhasni;
  SeznamStrel.Zhasni;
  SeznamLodi.Zhasni;
  SeznamRaket.Zhasni;
  SeznamPtaku.Zhasni;

  {uvolneni pameti}
  SeznamVrtulniku.Done;
  SeznamBomb.Done;
  SeznamStrel.Done;
  SeznamLodi.Done;
  SeznamRaket.Done;
  SeznamPtaku.Done;

  RemoveHandle; {odstraneni ovladace mysi}
  CloseGraph; {zavreni grafiky}
  NormVideo; {nastaveni pocatecniho textoveho rezimu}

end.