UNIT Lod;

INTERFACE

uses Graph, grObjekt;

const {miry lode} {stred lode je v prostredku paluby}
                  PolomerPaluby = 25;
                  VyskaPaluby   =  6;
                  Rozdil        = 10; {rozdil umisteni na x-ove souradnici}
                                      {horni a dolni paluby}
                  Antena        = 20;
                  VzdalAntOdStr = 10; {vzdalenost anteny od stredu}
                  VyskaKabin    =  4;
                  DelkaKabin    = 15;
                  OdstupKabin   =  5; {jak jsou zkraceny vyssi patra kabin}

type TUkTridaLod = ^TridaLod;

     TridaLod = object(TridaBod)
                  constructor Init(Xi, Yi: integer; Barvai: word);
                  procedure Zobraz; virtual;
                  procedure Zhasni; virtual;
                  function CtiVzdShr: integer; virtual;
                  function CtiVzdSpd: integer; virtual;
                  function CtiVzdPrv: integer; virtual;
                  function CtiVzdLev: integer; virtual;
                end;

IMPLEMENTATION

  constructor TridaLod.Init(Xi, Yi: integer; Barvai: word);
  begin
    TridaBod.Init(Xi, Yi, Barvai);
    JmenoTridy:='Lod';
  end;

  procedure TridaLod.Zobraz;
  begin
    Viditelnost:=true;
    NastavBarvu(Barva);
    {zakladni paluba}
    Line((Xpos-PolomerPaluby), Ypos, (Xpos+PolomerPaluby), Ypos);
    Line((Xpos-PolomerPaluby-Rozdil), (Ypos+VyskaPaluby), (Xpos+PolomerPaluby-Rozdil), (Ypos+VyskaPaluby));
    Line((Xpos-PolomerPaluby), Ypos, (Xpos-PolomerPaluby-Rozdil), (Ypos+VyskaPaluby));
    Line((Xpos+PolomerPaluby), Ypos, (Xpos+PolomerPaluby-Rozdil), (Ypos+VyskaPaluby));
    {antena}
    Line((Xpos-VzdalAntOdStr), Ypos, (Xpos-VzdalAntOdStr), (Ypos-Antena));
    {kabiny}
    Rectangle(Xpos, (Ypos-VyskaKabin), (Xpos+DelkaKabin), Ypos);
    Rectangle((Xpos+OdstupKabin), (Ypos-2*VyskaKabin), (Xpos+DelkaKabin-OdstupKabin), (Ypos-VyskaKabin));
  end;

  procedure TridaLod.Zhasni;
  begin
    Viditelnost:=false;
    SetColor(GetBkColor);
    Line((Xpos-PolomerPaluby), Ypos, (Xpos+PolomerPaluby), Ypos);
    Line((Xpos-PolomerPaluby-Rozdil), (Ypos+VyskaPaluby), (Xpos+PolomerPaluby-Rozdil), (Ypos+VyskaPaluby));
    Line((Xpos-PolomerPaluby), Ypos, (Xpos-PolomerPaluby-Rozdil), (Ypos+VyskaPaluby));
    Line((Xpos+PolomerPaluby), Ypos, (Xpos+PolomerPaluby-Rozdil), (Ypos+VyskaPaluby));
    Line((Xpos-VzdalAntOdStr), Ypos, (Xpos-VzdalAntOdStr), (Ypos-Antena));
    Rectangle(Xpos, (Ypos-VyskaKabin), (Xpos+DelkaKabin), Ypos);
    Rectangle((Xpos+OdstupKabin), (Ypos-2*VyskaKabin), (Xpos+DelkaKabin-OdstupKabin), (Ypos-VyskaKabin));
  end;

  function TridaLod.CtiVzdShr: integer;
  begin
    CtiVzdShr:=Ypos;
  end;

  function TridaLod.CtiVzdSpd: integer;
  begin
    CtiVzdSpd:=Ypos+VyskaPaluby;
  end;

  function TridaLod.CtiVzdPrv: integer;
  begin
    CtiVzdPrv:=Xpos+PolomerPaluby;
  end;

  function TridaLod.CtiVzdLev: integer;
  begin
    CtiVzdLev:=Xpos-PolomerPaluby;
  end;

END.