UNIT Strela;

INTERFACE

uses Graph, grObjekt;

const {miry strely} {stred strely je ve stredu konce hlavice}
                    PolomerXStrely = 6;
                    PolomerYStrely = 2;
                    OcasStrely     = 6;

type TUkTridaStrela = ^TridaStrela;

     TridaStrela = object(TridaBod)
                    constructor Init(Xi, Yi: integer; Barvai: word);
                    procedure Zobraz; virtual;
                    procedure Zhasni; virtual;
                    function CtiVzdShr: integer; virtual;
                    function CtiVzdSpd: integer; virtual;
                    function CtiVzdPrv: integer; virtual;
                    function CtiVzdLev: integer; virtual;
                  end;

IMPLEMENTATION

  constructor TridaStrela.Init(Xi, Yi: integer; Barvai: word);
  begin
    TridaBod.Init(Xi, Yi, Barvai);
    JmenoTridy:='Strela';
  end;

  procedure TridaStrela.Zobraz;
  begin
    Viditelnost:=true;
    NastavBarvu(Barva);
    {hlavice}
    Ellipse(Xpos, Ypos, 90, 270, PolomerXStrely, PolomerYStrely);
    Line(Xpos, (Ypos-PolomerYStrely), Xpos, (Ypos+PolomerYStrely));
    {ocas}
    Line(Xpos, Ypos, (Xpos+OcasStrely), Ypos);
  end;

  procedure TridaStrela.Zhasni;
  begin
    Viditelnost:=false;
    SetColor(GetBkColor);
    Ellipse(Xpos, Ypos, 90, 270, PolomerXStrely, PolomerYStrely);
    Line(Xpos, (Ypos-PolomerYStrely), Xpos, (Ypos+PolomerYStrely));
    Line(Xpos, Ypos, (Xpos+OcasStrely), Ypos);
  end;

  function TridaStrela.CtiVzdShr: integer;
  begin
    CtiVzdShr:=Ypos-PolomerYStrely;
  end;

  function TridaStrela.CtiVzdSpd: integer;
  begin
    CtiVzdSpd:=Ypos+PolomerYStrely;
  end;

  function TridaStrela.CtiVzdPrv: integer;
  begin
    CtiVzdPrv:=Xpos+OcasStrely;
  end;

  function TridaStrela.CtiVzdLev: integer;
  begin
    CtiVzdlev:=Xpos-PolomerXStrely;
  end;

END.